#!/bin/sh
echo 'name: mueval
version: 0.9
id: mueval-0.9-fdc0336e22731738ba3b31d9e8287b21

license: BSD3
copyright:
maintainer: Gwern <gwern0@gmail.com>
stability:
homepage: http://code.haskell.org/mubot/
package-url:
synopsis: Safely evaluate pure Haskell expressions
description: Mueval is a Haskell interpreter. It
             uses the GHC API to evaluate arbitrary Haskell expressions.
             Importantly, mueval takes many precautions to defang and avoid \"evil\"
             code.  It uses resource limits, whitelisted modules and Safe Haskell,
             special Show instances for IO, threads, processes, and changes of directory
             to sandbox the Haskell code.
             .
             It is, in short, intended to be a standalone version of Lambdabot'\''s famous
             evaluation functionality. For examples and explanations, please see the README file.
             .
             Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules: Mueval.Parallel Mueval.Context Mueval.Interpreter
                 Mueval.ArgsParse Mueval.Resources
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/mueval-0.9
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/mueval-0.9
              /usr/local/lib
hs-libraries: HSmueval-0.9
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: Cabal-1.14.0-340f7c040e44a18378d4d7f1c9746ddd
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce
         directory-1.1.0.2-9e375ee7bfb1a0ae28bfd926af73e15a
         extensible-exceptions-0.1.1.4-3d9bd197c43329612c640f24179a7f19
         filepath-1.3.0.0-f998e5510c76a98913f57b14b4f16c57
         hint-0.3.3.6-ff9fb13648f77d0fce68b9d96805a189
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         process-1.1.0.1-608c248c1528f46eb960a08cead77291
         show-0.5-58b140b1a881806273fb47d310883c56
         simple-reflect-0.3.1-0dabf9e731b2a9258ccce37888ed31d9
         unix-2.5.1.1-56b0b11ddb32a213f6d73865d709e743
         utf8-string-0.3.7-04a3142a70bb175cd8cce44559228e78
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/mueval-0.9/html/mueval.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/mueval-0.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
